## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname PyOngc
%global modname pyongc

Name:           python-%{modname}
Version:        1.1.0
Release:        %autorelease
Summary:        A python interface for accessing OpenNGC database data
# Code license is MIT, database is CC-BY-SA-4.0
License:        MIT AND CC-BY-SA-4.0
URL:            https://pypi.python.org/pypi/%{srcname}
Source:         %{pypi_source PyOngc}

BuildArch:      noarch
BuildRequires:  python3-devel

# For tests
BuildRequires:  python3dist(pytest)

%global _description %{expand:
PyOngc provides a python module to access astronomical data about
NGC and IC objects from the OpenNGC database.}

%description %_description


%package -n     python3-%{modname}
Summary:        %{summary}

%description -n python3-%{modname} %_description


%pyproject_extras_subpkg -n python3-pyongc data


%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x data


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modname}


%check
%pyproject_check_import
%pytest tests


%files -n python3-%{modname} -f %{pyproject_files}
%license LICENSES/MIT.txt LICENSES/CC-BY-SA-4.0.txt
%doc README.rst
%{_bindir}/ongc


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Dec 10 2023 Mattia Verga <mattia.verga@proton.me> - 1.1.0-1
- Update to 1.1.0 (fedora#2252650)

* Sat Sep 23 2023 Mattia Verga <mattia.verga@proton.me> - 1.0.2-1
- Update to 1.0.2 (fedora#2240251)

* Wed Aug 30 2023 Mattia Verga <mattia.verga@proton.me> - 1.0.1-1
- Initial import (fedora#2156937)
## END: Generated by rpmautospec
